/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2022-10-25 10:08:36
 */
import request from '@/utils/request'

// 新增币种
export function accountSave(data) {
  return request({
    url: '/system/manage/account/save',
    method: 'post',
    data
  })
}
// 编辑币种
export function accountUpdate(data) {
  return request({
    url: '/system/manage/account/update',
    method: 'post',
    data
  })
}

// 账户属性下拉选-币种值
export function getPubEnumsAccount() {
  return request({
    url: '/system/pub/enums/account',
    method: 'get'
  })
}

// 转换币种列表+账户下拉选列表
export function getpkBdAccountList() {
  return request({
    url: '/system/manage/account/pkBdAccountList',
    method: 'get'
  })
}

// 币种配置列表
export function accountList() {
  return request({
    url: '/system/manage/account/list',
    method: 'get'
  })
}
// 删除币种配置
export function delAccount(id) {
  return request({
    url: '/system/manage/account/' + id,
    method: 'delete'
  })
}
// 获取单条币种配置信息
export function getAccount(id) {
  return request({
    url: '/system/manage/account/getOne/' + id,
    method: 'get'
  })
}
// 转换币种列表
export function pkBdAccountList() {
  return request({
    url: '/system/manage/account/pkBdAccountList',
    method: 'get'
  })
}
// 提现设置列表
export function withdrawalList(params) {
  return request({
    url: '/system/manage/withdrawal/list',
    method: 'get',
    params
  })
}
// 新增提现设置
export function withdrawalSave(data) {
  return request({
    url: '/system/manage/withdrawal/save',
    method: 'post',
    data
  })
}
// 修改提现设置
export function withdrawalUpdate(data) {
  return request({
    url: '/system/manage/withdrawal/update',
    method: 'post',
    data
  })
}
// 获取单条提现设置
export function getWithdrawal(id) {
  return request({
    url: '/system/manage/withdrawal/getOne/' + id,
    method: 'get'
  })
}
// 删除提现配置
export function delWithdrawal(id) {
  return request({
    url: '/system/manage/withdrawal/' + id,
    method: 'delete'
  })
}
// 消费配置列表
export function areaCurrencyList() {
  return request({
    url: '/system/manage/area-currency/list',
    method: 'get'
  })
}
// 新增消费配置
export function areaCurrencySave(data) {
  return request({
    url: '/system/manage/area-currency/save',
    method: 'post',
    data
  })
}
// 修改消费配置
export function areaCurrencyUpdate(data) {
  return request({
    url: '/system/manage/area-currency/update',
    method: 'post',
    data
  })
}
// 获取单条消费设置
export function getAreaCurrency(id) {
  return request({
    url: '/system/manage/area-currency/getOne/' + id,
    method: 'get'
  })
}
// 删除消费配置
export function delAreaCurrency(id) {
  return request({
    url: '/system/manage/area-currency/' + id,
    method: 'delete'
  })
}
// 所属专区
export function specialArea() {
  return request({
    url: '/system/pub/enums/special-area',
    method: 'get'
  })
}
// 所属专区消费配置用
export function specialAreaConsume() {
  return request({
    url: '/system/pub/enums/special-area-consume',
    method: 'get'
  })
}
// 提现周期
export function getCycle() {
  return request({
    url: '/system/pub/enums/get-cycle',
    method: 'get'
  })
}

// 转账配置列表
export function getTransferList(params) {
  return request({
    url: '/system/manage/transfer/list',
    method: 'get',
    params
  })
}

// 删除转账配置列表
export function deleteTransfer(pkId) {
  return request({
    url: '/system/manage/transfer/' + pkId,
    method: 'delete'
  })
}

// 获取单条转账配置列表
export function getOnetransferList(pkId) {
  return request({
    url: '/system/manage/transfer/getOne/' + pkId,
    method: 'get'
  })
}

// 修改转账配置列表
export function updateTransfer(data) {
  return request({
    url: '/system/manage/transfer/update',
    method: 'post',
    data
  })
}

// 添加转账配置列表
export function saveTransfer(data) {
  return request({
    url: '/system/manage/transfer/save',
    method: 'post',
    data
  })
}

// 提现个税列表
export function getWithdrawalList(params) {
  return request({
    url: '/system/manage/withdrawal-tax/list',
    method: 'get',
    params
  })
}

// 获取单挑个税列表
export function getOneWithdrawalList(pkId) {
  return request({
    url: '/system/manage/withdrawal-tax/getOne/' + pkId,
    method: 'get'
  })
}

// 添加新增个税列表
export function saveWithdrawal(data) {
  return request({
    url: '/system/manage/withdrawal-tax/save',
    method: 'post',
    data
  })
}

// 删除个税列表
export function deleteWithdrawal(pkId) {
  return request({
    url: '/system/manage/withdrawal-tax/' + pkId,
    method: 'delete'
  })
}

// 提现手续费配置列表
export function getWithdrawalProcessList(params) {
  return request({
    url: '/system/manage/bd-withdrawal-process/list',
    method: 'get',
    params
  })
}

// 删除提现手续费列表
export function deleteWithdrawalProcess(pkId) {
  return request({
    url: '/system/manage/bd-withdrawal-process/' + pkId,
    method: 'delete'
  })
}

// 获取单挑提现手续费列表
export function getOneWithdrawalProcessList(pkId) {
  return request({
    url: '/system/manage/bd-withdrawal-process/getOne/' + pkId,
    method: 'get'
  })
}

// 修改提现手续费
export function updateWithdrawalProcess(data) {
  return request({
    url: '/system/manage/bd-withdrawal-process/update',
    method: 'post',
    data
  })
}

// 添加提现手续费
export function saveWithdrawalProcess(data) {
  return request({
    url: '/system/manage/bd-withdrawal-process/save',
    method: 'post',
    data
  })
}

// 条形码配置列表
export function bd_bar_codeList(params) {
  return request({
    url: '/system/manage/bd-bar-code/list',
    method: 'get',
    params
  })
}
// 条形码配置详情
export function bd_bar_codeItem(params) {
  return request({
    url: '/system/manage/bar-code-items/list',
    method: 'get',
    params
  })
}
// 产品编码查产品
export function get_product_code(params) {
  return request({
    url: '/sale/manage/product/get-product-code',
    method: 'get',
    params
  })
}
// 条码删除
export function bd_bar_codeDel(id) {
  return request({
    url: '/system/manage/bd-bar-code/' + id,
    method: 'delete'
  })
}

// 生成条码
export function bar_code_itemsSave(data) {
  return request({
    url: '/system/manage/bar-code-items/save',
    method: 'post',
    data
  })
}
// 查询条码配置
export function bar_code_itemsGetOne(id) {
  return request({
    url: '/system/manage/bd-bar-code/getOne/' + id,
    method: 'get'
  })
}
// 新增条形码配置
export function bar_code_codeSave(data) {
  return request({
    url: '/system/manage/bd-bar-code/save',
    method: 'post',
    data
  })
}
// 修改条形码配置
export function bar_code_codeUpdate(data) {
  return request({
    url: '/system/manage/bd-bar-code/update',
    method: 'post',
    data
  })
}
// 获取协议配置列表
export function getAgreementList(params) {
  return request({
    url: '/system/manage/agreement/list',
    method: 'get',
    params
  })
}

// 查看协议
export function getAgreementDetail(id) {
  return request({
    url: '/system/manage/agreement/' + id,
    method: 'get'
  })
}

// 删除协议
export function deleteAgreement(id) {
  return request({
    url: '/system/manage/agreement/' + id,
    method: 'delete'
  })
}

// 新增协议
export function saveAgreement(data) {
  return request({
    url: '/system/manage/agreement/save',
    method: 'post',
    data
  })
}

// 修改协议
export function updateAgreement(data) {
  return request({
    url: '/system/manage/agreement/update',
    method: 'post',
    data
  })
}

// 是否接口
export function getEYesNoList(params) {
  return request({
    url: '/system/pub/enums/yes-no',
    method: 'get',
    params
  })
}
// 启用状态
export function getEnableStatus(params) {
  return request({
    url: '/system/pub/enums/enable-status',
    method: 'get',
    params
  })
}

// 店铺配置列表
export function getStoreList(params) {
  return request({
    url: '/member/manage/store/list',
    method: 'get',
    params
  })
}

// 生成店铺编号
export function getStoreCode(params) {
  return request({
    url: '/member/manage/store/getCode',
    method: 'get',
    params
  })
}

// 新增店铺
export function saveManageStore(data) {
  return request({
    url: '/member/manage/store/save',
    method: 'post',
    data
  })
}

// 根据会员编号查询会员姓名
export function getMemberName(params) {
  return request({
    url: '/member/manager/recharge/member-name',
    method: 'get',
    params

  })
}

// 店铺等级下拉选
export function getListNoPage(params) {
  return request({
    url: '/system/manage/store-level/listNoPage',
    method: 'get',
    params

  })
}

// 店铺配置列表导出
export function exportStore(params) {
  return request({
    url: '/member/manage/store/export',
    method: 'get',
    params

  })
}

// 店铺等级配置列表
export function getStoreGradeList(params) {
  return request({
    url: '/system/manage/store-level/list',
    method: 'get',
    params

  })
}
// 乐享店铺列表
export function rangeStoreList(params) {
  return request({
    url: '/lenjoy-member/manage/range-store/list',
    method: 'get',
    params

  })
}
export function rangeStoreStatus(data) {
  return request({
    url: '/lenjoy-member/manage/range-store/change-status',
    method: 'PUT',
    data
  })
}
// 乐享店铺添加
export function rangeStoreAdd(data) {
  return request({
    url: '/lenjoy-member/manage/range-store/add',
    method: 'post',
    data

  })
}
// 乐享店铺列表
export function getLenjoyMember(params) {
  return request({
    url: '/lenjoy-member/manager/member/get-member',
    method: 'get',
    params

  })
}
// 删除乐享店铺
export function delRangeStore(pkId) {
  return request({
    url: '/lenjoy-member/manage/range-store/delete/' + pkId,
    method: 'delete',
    pkId
  })
}
// 荣誉墙添加
export function getStoreGradeAdd(data) {
  return request({
    url: '/member/manage/member/save',
    method: 'post',
    data

  })
}
// 荣誉墙修改
export function getStoreGradeUpdate(data) {
  return request({
    url: '/member/manage/member/update',
    method: 'post',
    data

  })
}

// 查询荣誉墙接口
export function getMemberList(params) {
  return request({
    url: '/member/manage/member/list',
    method: 'get',
    params
  })
}

// 删除荣誉墙
export function delMember(pkId) {
  return request({
    url: '/member/manage/member/' + pkId,
    method: 'delete',
    pkId
  })
}

// 发货方式列表
export function getDeliveryList(params) {
  return request({
    url: '/system/manage/delivery/list',
    method: 'get',
    params

  })
}

// 保存发货方式
export function saveDeliveryWay(data) {
  return request({
    url: '/system/manage/delivery/save',
    method: 'PUT',
    data
  })
}

// 店铺属性下拉选
export function getEnumsLevelValue(params) {
  return request({
    url: '/system/pub/enums/level-value',
    method: 'get',
    params

  })
}

// 荣誉馆属性下拉选
export function getHonorType(params) {
  return request({
    url: '/system/pub/enums/get-honor-wall-type',
    method: 'get',
    params

  })
}

// 获取一条店铺等级
export function getStoreLevelOne(params) {
  return request({
    url: '/system/manage/store-level/getOne/' + params.pkId,
    method: 'get',
    params
  })
}

// 新增店铺等级
export function saveStoreLevel(data) {
  return request({
    url: '/system/manage/store-level/save',
    method: 'post',
    data
  })
}

// 修改店铺等级
export function updateStoreLevel(data) {
  return request({
    url: '/system/manage/store-level/update',
    method: 'post',
    data
  })
}
// 新增特殊消费
export function specialCurrencySave(data) {
  return request({
    url: '/system/manage/special-currency/save',
    method: 'post',
    data
  })
}
// 特殊消费List
export function specialCurrencyList(params) {
  return request({
    url: '/system/manage/special-currency/list',
    method: 'get',
    params
  })
}
// 特殊消费删除
export function specialDelete(data) {
  return request({
    url: '/system/manage/special-currency/delete',
    method: 'post',
    data
  })
}
// 条形码明细导出
export function printTxm(data) {
  return request({
    url: '/system/manage/bar-code-items/printTxm',
    method: 'post',
    data
  })
}
// 交易配置列表
export function tradeList(data) {
  return request({
    url: '/system/manage/trade-config/list',
    method: 'post',
    data
  })
}
// 白名单list
export function tradeWhiteList(data) {
  return request({
    url: '/system/manage/trade-white/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
// 白名单新增
export function tradeWhiteAdd(data) {
  return request({
    url: '/system/manage/trade-white/add',
    method: 'post',
    data
  })
}
// 白名单详情
export function tradeWhiteDetail(params) {
  return request({
    url: '/system/manage/trade-white/detail',
    method: 'get',
    params
  })
}
// 白名单修改
export function tradeWhiteUpdate(data) {
  return request({
    url: '/system/manage/trade-white/update',
    method: 'post',
    data
  })
}
// /system/manage/trade-config/delete?pkId=2
// 交易配置列表删除
export function tradeDel(params) {
  return request({
    url: '/system/manage/trade-config/delete',
    method: 'get',
    params
  })
}
// 白名单删除
export function tradeWhiteDel(params) {
  return request({
    url: '/system/manage/trade-white/delete',
    method: 'get',
    params
  })
}
// 交易配置详情
export function tradeDetails(params) {
  return request({
    url: '/system/manage/trade-config/detail',
    method: 'get',
    params
  })
}
// 交易配置新增
export function tradeAdd(data) {
  return request({
    url: '/system/manage/trade-config/add',
    method: 'post',
    data
  })
}
// 交易配置修改
export function tradeUpdate(data) {
  return request({
    url: '/system/manage/trade-config/update',
    method: 'post',
    data
  })
}

// 免邮金额配置列表
export function getAresFreePostage(params) {
  return request({
    url: '/system/manage/ares-free-postage/list',
    method: 'get',
    params
  })
}

// 免邮金额配置保存
export function saveAresFreePostage(data) {
  return request({
    url: '/system/manage/ares-free-postage/create',
    method: 'post',
    data
  })
}

// 免邮金额配置修改
export function updateAresFreePostage(data) {
  return request({
    url: '/system/manage/ares-free-postage/update/' + data.pkId,
    method: 'put',
    data
  })
}

// 免邮金额配置删除
export function deleteAresFreePostage(id) {
  return request({
    url: '/system/manage/ares-free-postage/delete/' + id,
    method: 'delete'
  })
}

// 免邮金额配置列表详情
export function getAresFreePostageRow(id) {
  return request({
    url: '/system/manage/ares-free-postage/detail/' + id,
    method: 'get'

  })
}

// 协议续约白名单列表
export function getRenewalWhiteList(data) {
  return request({
    url: '/system/manage/renewal-white/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}

// 协议续约白名单删除
export function deleteRenewalWhite(params) {
  return request({
    url: '/system/manage/renewal-white/delete',
    method: 'get',
    params
  })
}

// 添加协续约白名单
export function addArenewalWhite(data) {
  return request({
    url: '/system/manage/renewal-white/add',
    method: 'post',
    data
  })
}

// 控制类型列表
export function getMemeberControlList(params) {
  return request({
    url: '/system/manage/cu-authority-control/list',
    method: 'get',
    params
  })
}

// 新增会员控制配置
export function addMemeberControl(data) {
  return request({
    url: '/system/manage/cu-authority-control/save',
    method: 'post',
    data
  })
}

// 修改会员控制配置
export function updateMemeberControl(data) {
  return request({
    url: '/system/manage/cu-authority-control/update',
    method: 'post',
    data
  })
}

// 会员控制类型枚举
export function getAuthorityControlType(params) {
  return request({
    url: '/system/pub/enums/authority-control-type',
    method: 'get',
    params
  })
}

// 获取单条会员控制配置
export function getMemeberControlListDetail(params) {
  return request({
    url: '/system/manage/cu-authority-control/getOne/' + params,
    method: 'get',
    params
  })
}

// 批量删除会员控制配置
export function delMemeberControl(data) {
  return request({
    url: '/system/manage/cu-authority-control/delControl',
    method: 'post',
    data
  })
}

// 服务编号配置列表
export function getServiceNumberList(params) {
  return request({
    url: '/member/manage/member-service-code/list',
    method: 'get',
    params
  })
}

// 删除服务编号配置
export function delServiceNumber(params) {
  return request({
    url: '/member/manage/member-service-code/remove',
    method: 'get',
    params
  })
}

// 新增服务编号配置
export function addServiceNumber(data) {
  return request({
    url: '/member/manage/member-service-code/save',
    method: 'post',
    data
  })
}

// 查询会员基本信息
export function checkMemberDetail(params) {
  return request({
    url: '/member/manage/member-service-code/member-detail',
    method: 'get',
    params
  })
}

// 转账账户白名单列表
export function getTransferWhiteList(data) {
  return request({
    url: '/system/manage/transfer-white/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}

// 转账账户白名单-删除
export function deleteTransferWhite(params) {
  return request({
    url: '/system/manage/transfer-white/delete',
    method: 'get',
    params
  })
}

// 转账账户白名单-详情
export function transferWhiteDetail(params) {
  return request({
    url: '/system/manage/transfer-white/detail',
    method: 'get',
    params
  })
}

// 转账账户白名单-新增
export function addTransferWhite(data) {
  return request({
    url: '/system/manage/transfer-white/add',
    method: 'post',
    data
  })
}

// 转账账户白名单-修改
export function updateransferWhite(data) {
  return request({
    url: '/system/manage/transfer-white/update',
    method: 'post',
    data
  })
}

